<div>
  <h2 id="page-heading" data-cy="ImpostoHeading">
    <span jhiTranslate="madmApp.imposto.home.title">Impostos</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info mr-2" (click)="loadAll()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="madmApp.imposto.home.refreshListLabel">Refresh List</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-imposto"
        [routerLink]="['/imposto/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="madmApp.imposto.home.createLabel"> Create a new Imposto </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="impostos?.length === 0">
    <span jhiTranslate="madmApp.imposto.home.notFound">No impostos found</span>
  </div>

  <div class="table-responsive" id="entities" *ngIf="impostos && impostos.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr>
          <th scope="col"><span jhiTranslate="global.field.id">ID</span></th>
          <th scope="col"><span jhiTranslate="madmApp.imposto.tipoImposto">Tipo Imposto</span></th>
          <th scope="col"><span jhiTranslate="madmApp.imposto.valorDevido">Valor Devido</span></th>
          <th scope="col"><span jhiTranslate="madmApp.imposto.dataVencimento">Data Vencimento</span></th>
          <th scope="col"><span jhiTranslate="madmApp.imposto.imovel">Imovel</span></th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let imposto of impostos; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/imposto', imposto.id, 'view']">{{ imposto.id }}</a>
          </td>
          <td jhiTranslate="{{ 'madmApp.TipoImposto.' + imposto.tipoImposto }}">{{ imposto.tipoImposto }}</td>
          <td>{{ imposto.valorDevido }}</td>
          <td>{{ imposto.dataVencimento | formatMediumDate }}</td>
          <td>
            <div *ngIf="imposto.imovel">
              <a [routerLink]="['/imovel', imposto.imovel?.id, 'view']">{{ imposto.imovel?.id }}</a>
            </div>
          </td>
          <td class="text-right">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/imposto', imposto.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/imposto', imposto.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
              </button>

              <button type="submit" (click)="delete(imposto)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
